# dmd.ast_node

Defines the base class for all nodes which are part of the AST.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: ast_node.d

Documentation: https://dlang.org/phobos/dmd_ast_node.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/ast_node.d

- `ASTNode`

  #### Declaration

  `abstract class `ASTNode`: dmd.root.rootobject.RootObject;`

  The base class of all AST nodes.

  - `accept`

    #### Declaration

    `abstract void `accept`(Visitor `v`);`

    Visits this AST node using the given visitor.

    #### Parameters

    `Visitor `v`` | the visitor to use when visiting this node